Subject: Re: IceWM 1.2.7 execution problem (iconv not up-to-date ?)
To: None <>
From: Jeremy C. Reed <>
List: tech-pkg
Date: 01/06/2004 13:11:27
> > .if ${OPSYS} == "NetBSD"
> > CONFIGURE_ARGS+= --with-unicode-set=utf-32
> > .endif

On Tue, 6 Jan 2004, R. Braun wrote:

> I've posted a bug report about this not long ago. Commenting those lines in
> Makefile.common does solve the problem but it may not be the best way.

I see PR 23979.

Commenting it out didn't work for me.

On Tue, 6 Jan 2004, Juan RP wrote:

> The problem only appears when using libiconv from pkgsrc.
> Seems to work fine on NetBSD/i386 -current.

So should the OPSYS check for a certain version of NetBSD before
configuring --with-unicode-set=utf-32  ??

So I did the include of libiconv buildlink before that
NetBSD check and then also check that ${ICONV_IS_GNU} !=

So I built and installed it without setting --with-unicode-set, but
running it still fails:

$ icewm
IceWM: iconv doesn't supply (sufficient) 646 to Unicode converters.

(config.log showed that that config switch wasn't used.)

I commented it out just to be sure. And still same problem.

I haven't tried disabling nls or i18n yet.

   Jeremy C. Reed